Node List Children
Get all the children of a given node using the provided filters and page parameters. This can be used for rendering the child nodes of the given node as an interactive table where properties can be used as columns.
Get all the children of a given node using the provided filters and page parameters. This can be used for rendering the child nodes of the given node as an interactive table where properties can be used as columns.
storyden-session<token>node_slug*stringUnique node Slug.
xidchildren_sort?stringThe field (either in schema or in property schema) to sort by.
page?stringPagination query parameters.
q?stringSearch query string.
0 <= lengthNode list.
application/json- response
To be composed with paginated resource responses.
page_size*integerresults*integertotal_pages*integercurrent_page*integernext_page?integernodes*array<>curl -X GET 'https://example.com/api/nodes/string/children'{ "page_size": 0, "results": 0, "total_pages": 0, "current_page": 0, "next_page": 0, "nodes": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "name": "string", "slug": "string", "current_version_id": "string", "assets": [ { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} } ], "link": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "url": "string", "slug": "string", "domain": "string", "title": "string", "description": "string", "favicon_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "primary_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "liveness_status": "unknown", "liveness_checked_at": "2019-08-24T14:15:22Z", "scrape_status": "pending", "scrape_attempted_at": "2019-08-24T14:15:22Z", "scraped_at": "2019-08-24T14:15:22Z" }, "description": "string", "primary_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "content": "string", "owner": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "parent": {}, "hide_child_tree": true, "tags": [ { "name": "string", "colour": "string", "item_count": 0 } ], "visibility": "draft", "relevance_score": 0, "meta": {}, "recomentations": [ { "kind": "post", "ref": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "title": "string", "description": "string", "slug": "string", "author": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }, "visibility": "draft", "assets": [ { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} } ], "reacts": [ { "id": "string", "emoji": "string", "author": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] } } ], "collections": { "in_collections": 0, "has_collected": true }, "likes": { "likes": 0, "liked": true }, "meta": {}, "body": "string", "body_links": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "url": "string", "slug": "string", "domain": "string", "title": "string", "description": "string", "favicon_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "primary_image": { "id": "string", "filename": "string", "path": "string", "mime_type": "string", "width": 0, "height": 0, "parent": {} }, "liveness_status": "unknown", "liveness_checked_at": "2019-08-24T14:15:22Z", "scrape_status": "pending", "scrape_attempted_at": "2019-08-24T14:15:22Z", "scraped_at": "2019-08-24T14:15:22Z" } ] } } ], "properties": [ { "fid": "string", "name": "string", "type": "text", "value": "string", "sort": "string" } ], "child_property_schema": [ { "fid": "string", "name": "string", "type": "text", "sort": "string" } ], "children": [ {} ] } ]}Node List GET
List nodes using the given filters. Can be used to get a full tree. With `format=flat` and an explicit `page`, returns pages of 100 nodes ordered by creation time ascending, then ID. Filtering is applied before pagination. Without `page`, the complete flat list is returned. Tree responses remain unpaginated.
Node Remove Asset DELETE
Remove an asset from a node.